javax.persistence

## Annotation Type EntityResult

    @Target(value={})
     @Retention(value=RUNTIME)
    public @interface EntityResult

### Required Element Summary

Required Elements
`Class` `entityClass`

### Optional Element Summary

Optional Elements
`String` `discriminatorColumn`
`FieldResult[]` `fields`

### Element Detail

#### entityClass

    public abstract Class entityClass

#### fields

    public abstract FieldResult[] fields

Default:
  {}

#### discriminatorColumn

    public abstract String discriminatorColumn

Default:
  ""